Subject: bug#36650: closed (Re: bug#36650: 27.0.50; CC Mode: Support C++ attributes)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jul 2019 21:17:02 +0000

Your bug report

#36650: 27.0.50; CC Mode: Support C++ attributes

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36650: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36650
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36650: 27.0.50; CC Mode: Support C++ attributes
From: Alan Mackenzie <[email-masked]>
To: Óscar Fuentes <[email-masked]>
Cc: [email-masked]
Date: Sun, 21 Jul 2019 21:16:34 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello again, Óscar.

On Sun, Jul 21, 2019 at 16:56:53 +0200, Óscar Fuentes wrote:
> Alan Mackenzie <[email-masked]> writes:

> > Would you please apply the following supplementary patch to your current
> > master state, try it out again, and let me know how it goes.

> I repeated my attempts of breaking the new feature and now I was
> defeated :-)

Excellent!

> Thanks again Alan.

I've committed the enhancement to savannah master (warning: it's not
quite identical to the patches I sent you), and I'm closing the bug with
this post.

-- 
Alan Mackenzie (Nuremberg, Germany).

Subject: 27.0.50; CC Mode: Support C++ attributes
From: Óscar Fuentes <[email-masked]>
To: [email-masked]
Date: Sun, 14 Jul 2019 16:49:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

CC Mode does not recognize C++ attributes. Just as an example, the
presence of an attribute causes wrong indentation on this example:

struct C {
  C([[maybe_unused]] int x, int y)
  : a(y)
  {}
  int a;
};

The line that begins with the colon should get another indentation
level.

Attributes are described here:

https://en.cppreference.com/w/cpp/language/attributes

In general, considering them part of the following token for indentation
purposes and fontifying with some existing or new face should be enough.

In GNU Emacs 27.0.50 (build 1, x86_64-pc-linux-gnu, X toolkit)
 of 2019-06-29 built on sky
Repository revision: 0b2841f9fb0ffd8514b0fb99c5673adad6b07abb
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12004000
System Description: Debian GNU/Linux 10 (buster)